#include"t10n_lexer.hpp"




namespace t10n{




void
Lexer::
skip_spaces()
{
    for(;;)
    {
      const int  c = *pointer_;

        if(c == '\n')
        {
          newline();
        }

      else
        if((c ==  ' ') ||
           (c == '\t'))
        {
          advance();
        }

      else
        {
          break;
        }
    }
}


void
Lexer::
skip_line_comment()
{
    for(;;)
    {
      const int  c = *pointer_;

        if(!c)
        {
          break;
        }


        if(c == '\n')
        {
          newline();

          break;
        }

      else
        {
          advance();
        }
    }
}


void
Lexer::
skip_block_comment()
{
    for(;;)
    {
      const int  c = *pointer_;

        if(!c)
        {
          report;

          break;
        }


        if((c           == '*') &&
           (pointer_[1] == '/'))
        {
          advance(2);

          break;
        }

      else
        if(c == '\n')
        {
          newline();
        }

      else
        {
          advance();
        }
    }
}




}




