#ifndef T10N_OPERATOR_HPP_INCLUDED
#define T10N_OPERATOR_HPP_INCLUDED


#include<cstddef>


namespace t10n{


struct
Operator
{
  union{
    char  s[4];
    int   i;
  };


  constexpr Operator(char  c1=0, char  c2=0, char  c3=0, char  c4=0):
  s{c1,c2,c3,c4}
  {
  }


  operator int() const{return i;}

  Operator&  operator=(int  i_)
  {
    i = i_;

    return *this;
  }

  Operator&  operator=(const Operator&  rhs)
  {
    i = rhs.i;

    return *this;
  }

};


}


#endif




